/*
 * gimp-image-reg -- A GIMP Plugin for Image Registration
 *
 * i18n.h
 * Copyright (C) 2010 Behnam Tabatabai
 *
 * This file is part of gimp-image-reg.
 *
 * gimp-image-reg is free software: you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * gimp-image-reg is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with gimp-image-reg. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __i18n_h
#define __i18n_h

#include "config.h"

#if ENABLE_NLS
# include <libintl.h>
# if !(HAVE_GETTEXT)
#  define gettext(String) ((const char *) (String))
# endif
# ifndef gettext_noop
#  define gettext_noop(String) String
# endif
#else
# define gettext(String) ((const char *) (String))
# define gettext_noop(String) String
#endif

#define _(String)  gettext(String)
#define N_(String) gettext_noop(String)

#endif
