/*
 * gimp-image-reg -- A GIMP Plugin for Image Registration
 *
 * linalg.h
 * Copyright (C) 2010 Behnam Tabatabai
 *
 * This file is part of gimp-image-reg.
 *
 * gimp-image-reg is free software: you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * gimp-image-reg is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with gimp-image-reg. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __linalg_h
#define __linalg_h

#include "matrix.h"
#include <glib.h>

#ifdef __cplusplus
extern "C" {
#endif

    gboolean LU_Decompose(
        Matrix_Real*       a,
        gint*              indx,
        gdouble*           signum);
        
    void LU_BackSubstitute(
        const Matrix_Real* a,
        const gint*        indx,
        const gdouble*     b,
        gdouble*           x);
        
#ifdef __cplusplus
}
#endif

#endif
