/*
 * gimp-image-reg -- A GIMP Plugin for Image Registration
 *
 * user-data.c
 * Copyright (C) 2010 Behnam Tabatabai
 *
 * This file is part of gimp-image-reg.
 *
 * gimp-image-reg is free software: you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * gimp-image-reg is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with gimp-image-reg. If not, see <http://www.gnu.org/licenses/>.
 */

#include "user-data.h"
#include <assert.h>

static const UserData s_user_data_defaults = {
    /* Reference drawable. */
    -1,
    
    /* Matching area. */
    MATCHING_AREA_SELECTION,
    
    /* Transformation type. */
    XFORMATION_RIGID,

    /* Unlimited number of iterations? */
    TRUE,
    
    /* The maximum number of iterations, if limited. */
    1024,

    /* Accuracy is given as n -> 10^(-n) */
    6,

    /* Type of interpolation for the transformed image. */
    GIMP_INTERPOLATION_CUBIC,

    /* How to clip results. */
    GIMP_TRANSFORM_RESIZE_ADJUST

};


void UserData_GetDefaults(UserData* user_data)
{
    assert(user_data);
    
    if (user_data)
    {
        *user_data = s_user_data_defaults;
    }
}
