# A script for creating pre-compiled binaries for Win32.

# Usage:
# win32-bindist.sh

# Extract the directory name of this script.
dirname=`dirname $0`

# The configure script is located in the same directory as this
# script.
cfg_script=$dirname/configure

# Remember where we are.
here=`pwd`

# The binaries will be installed here.
installdir=$here/win32

# Execute the configure script passing the specific options for Win32.
$cfg_script \
    --with-prefix=/home/behnam/opt/mingw32 \
    --host=i586-mingw32msvc                \
    --target=i586-mingw32msvc              \
    --build=i386-linux                     \
    --enable-user-install=yes              \
    --with-user-install-dir="$installdir"

# Make sure that the installation is empty before we start.
rm -rf $installdir
mkdir -p $installdir

make
make install

# Script for creating Win32 zip.
zip_script=$dirname/win32-makezip.sh

$zip_script $installdir
